cmake_minimum_required(VERSION 3.20)
project(Assignment9 C)
set(CMAKE_C_STANDARD 99)
add_executable(Assignment9 src/main.c
        src/png.c
        src/png.h)

enable_testing()
add_test(NAME output COMMAND test_text.sh WORKING_DIRECTORY ../tests)
add_test(NAME images COMMAND test_images.sh WORKING_DIRECTORY ../tests)